<style>
  .profil-auth-valid {
    color: #080 !important;
    font-weight: bold;
  }
</style>

<h4>Profil Authorizes</h4>

<div class="row">
  <div class="col-md-6">
    <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
      <thead>
        <tr>
          <th><%= Meth::StepRole.human_attribute_name :name %></th>
          <th><%= ProfilAuthorize.human_attribute_name :read %></th>
          <th><%= ProfilAuthorize.human_attribute_name :write %></th>
          <th><%= ProfilAuthorize.human_attribute_name :advance %></th>
          <th><%= ProfilAuthorize.human_attribute_name :email %></th>
        </tr>
      </thead>

      <tbody>
        <% @profil_authorizes.each do |profil_auth| %>
          <tr>
            <td><%= profil_auth.meth_step_role.name %></td>
            <td class="<%= profil_auth.read ? 'profil-auth-valid' : ''%>">
              <%= best_in_place profil_auth, :read, :as => :checkbox,
                                ok_button: "&#x2714;".html_safe,
                                cancel_button: "&#x2718;".html_safe,
                                display_with: lambda { |val| best_in_place_display(val).html_safe },
                                html_attrs: { class: 'bip-input' },
                                class: 'bip-span'
              %>
            </td>
            <td class="<%= profil_auth.write ? 'profil-auth-valid' : ''%>">
              <%= best_in_place profil_auth, :write, :as => :checkbox,
                                ok_button: "&#x2714;".html_safe,
                                cancel_button: "&#x2718;".html_safe,
                                display_with: lambda { |val| best_in_place_display(val).html_safe },
                                html_attrs: { class: 'bip-input' },
                                class: 'bip-span'
              %>
            </td>
            <td class="<%= profil_auth.advance ? 'profil-auth-valid' : ''%>">
              <%= best_in_place profil_auth, :advance, :as => :checkbox,
                                ok_button: "&#x2714;".html_safe,
                                cancel_button: "&#x2718;".html_safe,
                                display_with: lambda { |val| best_in_place_display(val).html_safe },
                                html_attrs: { class: 'bip-input' },
                                class: 'bip-span'
              %>
            </td>
            <td class="<%= profil_auth.email ? 'profil-auth-valid' : ''%>">
              <%= best_in_place profil_auth, :email, :as => :checkbox,
                                ok_button: "&#x2714;".html_safe,
                                cancel_button: "&#x2718;".html_safe,
                                display_with: lambda { |val| best_in_place_display(val).html_safe },
                                html_attrs: { class: 'bip-input' },
                                class: 'bip-span'
              %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>

    <br>
  </div>

  <div class="col-md-6">
    <p class='form-group'>
      <label>LISTE DES PROFILS&nbsp;&nbsp;&nbsp;&nbsp;</label>
      <%= form_with url: profil_authorizes_path, method: :get, local: true do |form| %>
        <%= select_tag 'profil_id',
                       options_for_select(Profil.all.collect {|elt| [ elt.name, elt.id ]}, @profil&.id),
                       class: 'form-control' %>

        <%= form.submit '', id: 'change-profil', style: "display: none" %>
      <% end %>
      <br>
      <%= link_to "RAZ Authorizations for #{@profil&.name || '-'}", profil_raz_authorizations_path(id: @profil&.id), method: :patch, id: 'raz',  data: { confirm: 'Are you sur you want to initialize this authorizations ?' }, class: 'btn btn-warning', style:'float: right;' %>
    </p>
  </div>
</div>


<script>
  $(function(){
    $('#profil_id').change(function(event) {
      $('#change-profil').trigger('click');
      console.log('Click change profil');
    });
  });
</script>
